/*****************************************************************************/
/*                                                                           */
/* You may copy, modify, and distribute this sample program in any           */
/* form without payment to IBM,  for any purpose including developing,       */
/* using, marketing or distributing programs that include or are             */
/* derivative works of the sample program.                                   */
/*                                                                           */
/* The sample program is provided to you on an "AS IS" basis, without        */
/* warranty of any kind.  IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES,     */
/* EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED     */
/* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.       */
/* Some jurisdictions do not allow for the exclusion or limitation of        */
/* implied warranties, so the above limitations or exclusions may not        */
/* apply to you.  IBM shall not be liable for any damages you suffer as      */
/* a result of using, modifying or distributing the sample program or        */
/* its derivatives.                                                          */
/*																			 */
/*  * @author Shravan														 */
/*                                                                           */
/* This is the core/main file of MQconstants 				                 */
/* I don't want to use com.ibm.mq.pcf.jar for just finding the status values,*/
/* so i have redefined those constants here for easyness.					 */
/* V 1.0 - Basic constants declaration										 */
/*****************************************************************************/

package com.ibm.Shra.Xternal.Plugins;

public class MqConstants 
{
  public final static int MQRC_NO_MSG_AVAILABLE = 2033;
  public final static int MQRC_Q_MGR_QUIESCING = 2161;
  public final static int MQRC_Q_MGR_STOPPING = 2162;
  public final static int MQRC_CONNECTION_QUIESCING = 2202;
  public final static int MQRC_CONNECTION_BROKEN = 2009;
  public final static int MQRC_SELECTOR_NOT_FOR_TYPE = 2068;
  public final static int MQRC_UNKNOWN_OBJECT_NAME = 2085;
  public final static int MQRC_Q_FULL = 2053;
  
  public final static int MQCA_BACKOUT_REQ_Q_NAME = 2019;
  public final static int MQCA_DEAD_LETTER_Q_NAME =	2006;
  
  public final static int MQIA_BACKOUT_THRESHOLD = 22;
  public final static int MQIA_CODED_CHAR_SET_ID = 2;
  
  public final static int MQ_Q_NAME_LENGTH = 48;
}
