/*****************************************************************************/
/*                                                                           */
/* You may copy, modify, and distribute this sample program in any           */
/* form without payment to IBM,  for any purpose including developing,       */
/* using, marketing or distributing programs that include or are             */
/* derivative works of the sample program.                                   */
/*                                                                           */
/* The sample program is provided to you on an "AS IS" basis, without        */
/* warranty of any kind.  IBM HEREBY EXPRESSLY DISCLAIMS ALL WARRANTIES,     */
/* EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED     */
/* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.       */
/* Some jurisdictions do not allow for the exclusion or limitation of        */
/* implied warranties, so the above limitations or exclusions may not        */
/* apply to you.  IBM shall not be liable for any damages you suffer as      */
/* a result of using, modifying or distributing the sample program or        */
/* its derivatives.                                                          */
/*																			 */
/*  * @author Shravan														 */
/*                                                                           */
/* This is the core/main file of Node attributes declaration.				 */
/* The attributes are no more declared inside the AnyQmgrInputNode.jave as   */
/* the values need to be accessed across other java files, i have moved them */
/* to this class inorder to avoid getters/setters in each java class		 */
/*																			 */
/* V 1.0 - Basic features						     						 */
/*****************************************************************************/

package com.ibm.Shra.Xternal.Plugins;


public class NodeAttributes 
{
	/* Define the properties for the node. */
	/*Define the properties for 'Basic' group */
	static String queues = null;
	static String queueManager = null; 
	static String hostName = null;
	static int port = -1;
	static String channel = null;
	/*Define the properties for 'MessageFormat' group */
	static String domain = null;
	static String messageSet = null;
	static String messageType = null;
	static String messageFormat = null;
	/*Define the properties for 'Advanced' group */
	static String transaction = null;
	static int logLevel;/*Define the properties for 'Tracing' */
}